def printRectangleClass():
    print('''Rectangle 클래스의 정답입니다.
class Rectangle:
    def __init__(self, x, y, width, height):
        self.x = x
        self.y = y
        self.__width = width
        self.__height = height

    def __str__(self):
        return (f"Rectangle : (x={self.x}, y={self.y}, w={self.__width}, h={self.__height}), 면적 : {self.area()}")
    
    def set_x(self, x):
        self.x = x

    def get_x(self):
        return self.x
    
    def set_y(self, y):
        self.y = y

    def get_y(self):
        return self.y
    
    def set_width(self, width):
        self.__width = width

    def get_width(self):
        return self.__width
    
    def set_height(self, height):
        self.__height = height

    def get_height(self):
        return self.__height
    
    def area(self):
        return self.__width * self.__height
    
    def overlaps(self, r):
        return (r.x >= self.x or r.x + r.__width <= self.x + self.__width) and (r.y <= self.y or r.y - r.__height >= self.y - self.__height)

    def contains(self, r):
        return r.x >= self.x and r.x + r.__width <= self.x + self.__width and r.y <= self.y and r.y - r.__height >= self.y - self.__height
''')

shapeClass()